Subject: bug#9203: closed (bug#9203: 24.0.50; some Clang experience)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 22 Dec 2015 03:45:02 +0000

Your bug report

#9203: 24.0.50; some Clang experience

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9203: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9203
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: bug#9203: 24.0.50; some Clang experience
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Mon, 21 Dec 2015 20:44:30 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I looked at the warnings here and from what I can tell they've all been
fixed.

The regex.c one was fixed by correcting the type of 'ret'.

The emacsclient.c one was fixed by introducing tmpdir_storage and
passing it to confstr.

If you still see these warnings, please reply and we can reopen the bug.

thanks,
Tom

Subject: 24.0.50; some Clang experience
From: Peter Dyballa <[email-masked]>
To: [email-masked]
Date: Sat, 30 Jul 2011 13:53:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

When using

	Apple clang version 2.0 (tags/Apple/clang-139) (based on LLVM 2.9svn)
	Target: x86_64-apple-darwin10
	Thread model: posix

to compile GNU Emacs on Mac OS X 10.6.8 with intel Core i7 it warns about some statements:

emacs-24.0.50/lib-src/../src/regex.c:6603:15: warning: 
      comparison of unsigned enum expression >= 0 is always true [-Wtautological-compare]
      if (ret >= 0)
          ~~~ ^  ~
emacs-24.0.50/lib-src/../src/regex.c:6619:14: warning: 
      comparison of unsigned enum expression >= 0 is always true [-Wtautological-compare]
  return ret >= 0 ? REG_NOERROR : REG_NOMATCH;
         ~~~ ^  ~

emacs-24.0.50/lib-src/emacsclient.c:1269:52: warning: 
      passing 'const char *' to parameter of type 'char *' discards qualifiers
                confstr (_CS_DARWIN_USER_TEMP_DIR, tmpdir, n);
                                                   ^~~~~~
In file included from emacs-24.0.50/lib-src/emacsclient.c:76:
In file included from ../lib/getopt.h:31:
In file included from /usr/include/getopt.h:44:
In file included from ../lib/unistd.h:43:
/usr/include/unistd.h:423:28: note: passing argument to parameter here
size_t   confstr(int, char *, size_t) __DARWIN_ALIAS(confstr);
                            ^

The installed NS variant is a bit unstable. Maybe I just need to optimise the compiler switches in the near future!

--
Greetings

  Pete

I hope to die before I *have* to use Microsoft Word.
			- Donald E. Knuth, 2001-10-02 in Tübingen